import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteUserProfileInput } from "../types/DeleteUserProfileInput";
import { DeleteUserProfileOutput } from "../types/DeleteUserProfileOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/DeleteUserProfileInput";
export * from "../types/DeleteUserProfileOutput";
export * from "../types/DeleteUserProfileExceptionsUnion";
export declare class DeleteUserProfileCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteUserProfileInput, OutputTypesUnion, DeleteUserProfileOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: DeleteUserProfileInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteUserProfileInput, DeleteUserProfileOutput, Blob>;
    constructor(input: DeleteUserProfileInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<DeleteUserProfileInput, DeleteUserProfileOutput>;
}
