import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TagProjectInput } from "../types/TagProjectInput";
import { TagProjectOutput } from "../types/TagProjectOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/TagProjectInput";
export * from "../types/TagProjectOutput";
export * from "../types/TagProjectExceptionsUnion";
export declare class TagProjectCommand implements __aws_sdk_types.Command<InputTypesUnion, TagProjectInput, OutputTypesUnion, TagProjectOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: TagProjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TagProjectInput, TagProjectOutput, Blob>;
    constructor(input: TagProjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<TagProjectInput, TagProjectOutput>;
}
