"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteProjectInput_1 = require("../shapes/DeleteProjectInput");
var DeleteProjectOutput_1 = require("../shapes/DeleteProjectOutput");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidServiceRoleException_1 = require("../shapes/InvalidServiceRoleException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteProjectInput_1.DeleteProjectInput
    },
    output: {
        shape: DeleteProjectOutput_1.DeleteProjectOutput
    },
    errors: [
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidServiceRoleException_1.InvalidServiceRoleException
        }
    ]
};
//# sourceMappingURL=DeleteProject.js.map