"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteUserProfileInput_1 = require("../shapes/DeleteUserProfileInput");
var DeleteUserProfileOutput_1 = require("../shapes/DeleteUserProfileOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteUserProfile = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteUserProfile",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteUserProfileInput_1.DeleteUserProfileInput
    },
    output: {
        shape: DeleteUserProfileOutput_1.DeleteUserProfileOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=DeleteUserProfile.js.map