"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListProjectsInput_1 = require("../shapes/ListProjectsInput");
var ListProjectsOutput_1 = require("../shapes/ListProjectsOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListProjects = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListProjects",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListProjectsInput_1.ListProjectsInput
    },
    output: {
        shape: ListProjectsOutput_1.ListProjectsOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=ListProjects.js.map