"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssociateTeamMemberInput = {
    type: "structure",
    required: ["projectId", "userArn", "projectRole"],
    members: {
        projectId: {
            shape: {
                type: "string",
                min: 2
            }
        },
        clientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        userArn: {
            shape: {
                type: "string",
                min: 32
            }
        },
        projectRole: {
            shape: {
                type: "string"
            }
        },
        remoteAccessAllowed: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=AssociateTeamMemberInput.js.map