/**
 * <p>Information about the metadata for a project.</p>
 */
export interface _ProjectSummary {
    /**
     * <p>The ID of the project.</p>
     */
    projectId?: string;
    /**
     * <p>The Amazon Resource Name (ARN) of the project.</p>
     */
    projectArn?: string;
}
export declare type _UnmarshalledProjectSummary = _ProjectSummary;
