"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteUserProfile_1 = require("../model/operations/DeleteUserProfile");
var DeleteUserProfileCommand = /** @class */ (function () {
    function DeleteUserProfileCommand(input) {
        this.input = input;
        this.model = DeleteUserProfile_1.DeleteUserProfile;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteUserProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteUserProfileCommand;
}());
exports.DeleteUserProfileCommand = DeleteUserProfileCommand;
//# sourceMappingURL=DeleteUserProfileCommand.js.map