"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTagsForProject_1 = require("../model/operations/ListTagsForProject");
var ListTagsForProjectCommand = /** @class */ (function () {
    function ListTagsForProjectCommand(input) {
        this.input = input;
        this.model = ListTagsForProject_1.ListTagsForProject;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTagsForProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTagsForProjectCommand;
}());
exports.ListTagsForProjectCommand = ListTagsForProjectCommand;
//# sourceMappingURL=ListTagsForProjectCommand.js.map