"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsForProjectInput_1 = require("../shapes/ListTagsForProjectInput");
var ListTagsForProjectOutput_1 = require("../shapes/ListTagsForProjectOutput");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsForProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsForProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsForProjectInput_1.ListTagsForProjectInput
    },
    output: {
        shape: ListTagsForProjectOutput_1.ListTagsForProjectOutput
    },
    errors: [
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListTagsForProject.js.map