"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagProjectInput_1 = require("../shapes/TagProjectInput");
var TagProjectOutput_1 = require("../shapes/TagProjectOutput");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagProjectInput_1.TagProjectInput
    },
    output: {
        shape: TagProjectOutput_1.TagProjectOutput
    },
    errors: [
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=TagProject.js.map