"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._TeamMember = {
    type: "structure",
    required: ["userArn", "projectRole"],
    members: {
        userArn: {
            shape: {
                type: "string",
                min: 32
            }
        },
        projectRole: {
            shape: {
                type: "string"
            }
        },
        remoteAccessAllowed: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_TeamMember.js.map